JAVAC = javac -classpath .:

all:	JavaLexer.class
	$(JAVAC) *.java

pars:	JavaLexer.class
	$(JAVAC) JavaCompiler.java

JavaLexer.class:  JavaParser.java JavaLexer.java 
	$(JAVAC) JavaLexer.java

JavaParser.class: JavaParser.java
	$(JAVAC) JavaParser.java

JavaParser.java: JavaParser.jay
	./jay -v   JavaParser.jay < skeleton > JavaParser.java

JavaLexer.java: JavaLexer.lex.java
	mv JavaLexer.lex.java JavaLexer.java

JavaLexer.lex.java: JavaLexer.lex
	java -classpath .:JLex.jar JLex.Main JavaLexer.lex

clean: 
	rm *.class
	rm JavaLexer.java
	rm JavaParser.java
	rm y.output
